package nc.vo.arap.nc63.pay;

import nc.vo.pub.SuperVO;
/**
 * @Description: 
 * 		【拉取NC633内转付[F5-Cxx-2 内部单位转账（付方）]->NCC付款单[F3-Cxx-D01 付款单（内转）]】
 * @author 谢文如 【碧桂园物业NCC】
 * @date 2020-11-23
 * @version with NCC V2005
 */
public class CMPPaybillVO_NC63 extends SuperVO{
	
	private static final long serialVersionUID = 1L;
	private String pk_paybill;
	private String pk_org; /*付款财务组织*/
	private String pk_tradetypeid; /* 付款交易类型 */
	private String 	bill_no; /* 单据编号 */
	private String bill_status; /* 单据状态 */
	private String effect_flag; /* 生效状态 */
	private String bill_date; /* 单据日期 */
	private String settledate;/* 结算日期 */
	private String pk_currtype; /* 币种 */
	private String local_rate; /* 组织本币汇率 */
	private String def29; /* 备注 */
	private String nc63ts;/*63ts*/
	private String msg;/*生成状态*/
	private String state;/*生成状态*/
	private String ts;
	
	public String getPk_paybill() {
		return pk_paybill;
	}

	public void setPk_paybill(String pk_paybill) {
		this.pk_paybill = pk_paybill;
	}

	public String getPk_org() {
		return pk_org;
	}

	public void setPk_org(String pk_org) {
		this.pk_org = pk_org;
	}

	public String getPk_tradetypeid() {
		return pk_tradetypeid;
	}

	public void setPk_tradetypeid(String pk_tradetypeid) {
		this.pk_tradetypeid = pk_tradetypeid;
	}

	public String getBill_no() {
		return bill_no;
	}

	public void setBill_no(String bill_no) {
		this.bill_no = bill_no;
	}

	public String getBill_status() {
		return bill_status;
	}

	public void setBill_status(String bill_status) {
		this.bill_status = bill_status;
	}

	public String getEffect_flag() {
		return effect_flag;
	}

	public void setEffect_flag(String effect_flag) {
		this.effect_flag = effect_flag;
	}

	public String getBill_date() {
		return bill_date;
	}

	public void setBill_date(String bill_date) {
		this.bill_date = bill_date;
	}

	public String getSettledate() {
		return settledate;
	}

	public void setSettledate(String settledate) {
		this.settledate = settledate;
	}

	public String getPk_currtype() {
		return pk_currtype;
	}

	public void setPk_currtype(String pk_currtype) {
		this.pk_currtype = pk_currtype;
	}

	public String getLocal_rate() {
		return local_rate;
	}

	public void setLocal_rate(String local_rate) {
		this.local_rate = local_rate;
	}

	public String getDef29() {
		return def29;
	}

	public void setDef29(String def29) {
		this.def29 = def29;
	}

	public String getNc63ts() {
		return nc63ts;
	}

	public void setNc63ts(String nc63ts) {
		this.nc63ts = nc63ts;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public String getTs() {
		return ts;
	}

	public void setTs(String ts) {
		this.ts = ts;
	}

	public java.lang.String getPKFieldName() {
		return "pk_paybill";
	}

	public java.lang.String getTableName() {
		return "nc63_cmp_paybill";
	}
	
}
